Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.valueobject
Enum AlternateNameSource

    java.lang.Object
      java.lang.Enum<AlternateNameSource>
          com.gisgraphy.domain.valueobject.AlternateNameSource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AlternateNameSource>

    public enum AlternateNameSource

extends java.lang.Enum<AlternateNameSource>

Represents a possible source for `AlternateName` It tells from which files / gazetteers it has been imported

Author:
  David Masclet
See Also:
  `AlternateName`

Enum Constant Summary
`ALTERNATENAMES_FILE`
`EMBEDED`
`PERSONAL`

Method Summary
`static AlternateNameSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlternateNameSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSONAL

    public static final AlternateNameSource PERSONAL

### EMBEDED

    public static final AlternateNameSource EMBEDED

### ALTERNATENAMES_FILE

    public static final AlternateNameSource ALTERNATENAMES_FILE

Method Detail

### values

    public static final AlternateNameSource[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AlternateNameSource c : AlternateNameSource.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AlternateNameSource valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.